# QR Payment Status

RKFL provides transactionExternalStatus API for checking transactions status, status can be pending, partial or completed

<mark style="color:green;">`POST`</mark> `/purchase/transactionExternalStatus`

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |

#### Request Body

| Name                                   | Type   | Description |
| -------------------------------------- | ------ | ----------- |
| txId<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
  "ok": true,
  "result": {
    "responseObj": {
      "txStatus": "completed",
      "recievedAmount": null,
      "disablePartialSuccess": false,
      "forceRefundOnPartialPayment": false,
      "cryptoCurrency": "ETH"
    }
  },
  "tracingId": "26c8acd0-60fd-4dce-829b-221a205e2c0f#1726759070994"
}
```

{% endtab %}
{% endtabs %}
